## EXPORT_SPEC int ixmlDocument_importNode

## (IXML_Document* doc,
IXML_Node* importNode,
BOOL deep,
IXML_Node** rtNode )

> Imports a Node from another Document into this Document.

## Documentation

> Imports a Node from another Document into this Document. The new Node does not a have parent node: it is a clone of the original Node with the `ownerDocument` set to doc. The deep parameter controls whether all the children of the Node are imported. Refer to the DOM2-Core recommendation for details on importing specific node types.

Parameters:
  doc - The Document into which to import.
  importNode - The Node to import.
  deep - `TRUE` to import all children of importNode or `FALSE` to import only the root node.
  rtNode - A pointer to a new Node owned by doc.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc or importNode is not a valid pointer.
  - `IXML_NOT_SUPPORTED_ERR`: importNode is a Document, which cannot be imported.
  - `IXML_FAILED`: The import operation failed because the Node to be imported could not be cloned.

Alphabetic index

This page was generated with the help of DOC++.